Orangear\Admin\Core\Domain\Model\BillingReport\BillingReport:
  type: entity
  table: billing_report
  id:
    id:
      id: true
      type: string
      length: 36
  fields:
    date:
      column: date
      type: date
    revenue:
      column: revenue
      type: float
      scale: 2
    revenueReceived:
      column: revenue_received
      type: float
      scale: 2
    crossPayment:
      column: cross_payment
      type: float
      scale: 2
    deduction:
      column: deduction
      type: float
      scale: 2
    revenueUnpaid:
      column: revenue_unpaid
      type: float
      scale: 2
    publisherAmount:
      column: publisher_amount
      type: float
      scale: 2
    publisherPaid:
      column: publisher_paid
      type: float
      scale: 2
    publisherUnpaid:
      column: publisher_unpaid
      type: float
      scale: 2
    grossIncome:
      column: gross_income
      type: float
      scale: 2
  manyToOne:
    project:
      targetEntity: Orangear\BusinessIntelligence\Domain\Model\Project\Project
      joinColumn:
      name: project_id
      referencedColumnName: id